/*
 * BCM53xx RoboSwitch utility functions
 *
 * Copyright 2004, Broadcom Corporation
 * All Rights Reserved.                
 *                                     
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;   
 * the contents of this file may not be disclosed to third parties, copied
 * or duplicated in any form, in whole or in part, without the prior      
 * written permission of Broadcom Corporation.                            
 *
 * $Id: etc_robo.h,v 1.1.1.1 2004/06/10 10:27:00 cvsadm Exp $
 */

#ifndef _robo_h_
#define _robo_h_

extern void * robo_attach(void *sbh, uint32 ssl, uint32 clk, uint32 mosi, uint32 miso);
extern void robo_detach(void *robo);
extern void robo_rreg(void *robo, uint8 cid, uint8 page, uint8 addr, uint8 *buf, uint len);
extern void robo_wreg(void *robo, uint8 cid, uint8 page, uint8 addr, uint8 *buf, uint len);
extern void robo_rvmii(void *robo, uint8 cid);

#endif /* _robo_h_ */
