/*
 * System V init functionality
 *
 * Copyright 2001, Broadcom Corporation
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Broadcom Corporation.
 *
 * $Id: pppoe_time.c,v 1.1.1.1 2004/06/10 10:28:50 cvsadm Exp $
 */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <paths.h>
#include <signal.h>
#include <stdarg.h>
#include <string.h>
#include <termios.h>
#include <unistd.h>
#include <limits.h>
#include <time.h>
#include <sys/fcntl.h>
#include <sys/ioctl.h>
#include <sys/mount.h>
#include <sys/reboot.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/time.h>

#include <shutils.h>


/*Peter S 20020605*/
char date[256]="";

void pppoe_loop_time(void)
{
clock_t start, end;
struct tm *local_time;
long int  elapsed;
 long int i=0;



while(1)
 {
  FILE *fp =fopen("/tmp/ppp/link","r");
 /*printf("The current start is : %d\n",start);*/
  if(!fp)  {                  /*pppoe down*/
          end=start;            
          i=0; 
         }
     else  {          /*pppoe UP*/
       
        i++;
       end=clock();          
       if(i==1) start=end;
/*      printf("The start with pppoe up is : %d\n",start); 
         printf("The end with pppoe up is : %d\n",end);
*/
 elapsed=(end-start)/(CLK_TCK*750);
 local_time=localtime(&elapsed);
/* printf("The pppoe connection in ctime format=%s\n",ctime(&elapsed));
 sprintf(date,"years:%04d months:%02d days:%02d hours:%02d minutes:%02d seconds:%02d",*/
sprintf(date,"y->%04d:m->%02d:d->%02d:h->%02d:min->%02d:sec->%02d",
              local_time->tm_year-70,
              local_time->tm_mon,
              local_time->tm_mday-1,
              local_time->tm_hour,
	      local_time->tm_min,
              local_time->tm_sec); 	  
/* printf("The pppoe  connection in  localtime format elapsed  is: %s\n",date);
 printf("The pppoe  connection  elapsed  is: %d\n",elapsed);  
*/
       fclose(fp);
        }

 }

}



/*Peter S 20020605*/
pid_t
 pppoe_connection_time(void)
{
        pid_t pid;
        int sig;


       switch ((pid = fork())) {

          case -1:
                perror("fork");
                return 0;
        case 0:
                /* Reset signal handlers set for parent process */
                for (sig = 0; sig < (_NSIG-1); sig++)
                        signal(sig, SIG_DFL);

                /* Reopen connection timer */
               /* pppoe_connection_time();*/

                /* Now run it.  The new program will take over this PID,
                 * so nothing further in init.c should be run. */
        pppoe_loop_time();

                /* We're still here?  Some error happened. */
                exit(errno);
        default:
               return 0;
     }

}


