/*
    Copyright 2001, Broadcom Corporation
    All Rights Reserved.
    
    This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
    the contents of this file may not be disclosed to third parties, copied or
    duplicated in any form, in whole or in part, without the prior written
    permission of Broadcom Corporation.
*/
/*
 * NVRAM variable manipulation (Linux)
 *
 * Copyright (C) 2001 Broadcom Corporation
 *
 * $Id: nvram_linux.h,v 1.1.1.1 2004/06/10 10:28:47 cvsadm Exp $
 */

#ifndef _nvram_linux_h_
#define _nvram_linux_h_

/* Silently prepended to environment variables to keep track of them */
#define ENVHDR "nvram_"
#define DENVHDR "dnvram_" 

/* File in which to store uncommitted variables */
#define ENVFILE "/var/tmp/nvram"
#define DENVFILE "/var/tmp/dnvram"

/* Path to NVRAM (undefine to search /proc/mtd) */
#ifdef i386
#define NVRAM_FILE "/dev/fd0"
#else
#undef NVRAM_FILE
#endif /* i386 */

/* Required by getenv() and setenv() */
extern char **environ;

#endif /* _nvram_linux_h_ */
